Voices
Design a Voice
Returns up to 3 voices matching a natural language description (e.g. ‘warm, confident female narrator’). Use the seed parameter to get different batches of results.
POST
/
v3
/
voices
Design a Voice
curl --request POST \
--url https://api.heygen.com/v3/voices \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"prompt": "<string>",
"gender": "<string>",
"locale": "<string>",
"seed": 0
}
'import requests
url = "https://api.heygen.com/v3/voices"
payload = {
"prompt": "<string>",
"gender": "<string>",
"locale": "<string>",
"seed": 0
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({prompt: '<string>', gender: '<string>', locale: '<string>', seed: 0})
};
fetch('https://api.heygen.com/v3/voices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"voices": [
{
"voice_id": "<string>",
"name": "<string>",
"language": "<string>",
"gender": "<string>",
"support_pause": true,
"support_locale": true,
"preview_audio_url": "https://files.heygen.ai/voice/preview_sara.mp3"
}
],
"seed": 123
}
}{
"error": {
"code": "invalid_parameter",
"message": "'prompt' is required.",
"param": "prompt",
"doc_url": null
}
}{
"error": {
"code": "authentication_failed",
"message": "Invalid or expired API key. Verify your x-api-key header.",
"param": null,
"doc_url": null
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "Too many requests. Retry after the duration specified in the Retry-After header.",
"param": null,
"doc_url": null
}
}Authorizations
ApiKeyAuthBearerAuth
HeyGen API key. Obtain from your HeyGen dashboard.
Body
application/json
Request body for POST /v3/voices — design a voice via semantic search.
Natural language description of the desired voice (e.g., 'warm, confident female narrator').
Required string length:
1 - 1000Filter by gender: 'male' or 'female'.
BCP-47 locale tag to filter by (e.g., 'en-US', 'pt-BR').
Controls which batch of results to return. seed=0 returns the top matches, seed=1 the next batch, etc. Same prompt + seed always returns the same voices.
Required range:
x >= 0Response
Successful response
Response payload for POST /v3/voices.
Show child attributes
Show child attributes
Previous
Clone a voiceCreates a voice clone from an audio file. Returns a voice_clone_id that can be polled via GET /v3/voices/{voice_clone_id} until the status is 'complete'. The resulting voice can be used with POST /v3/voices/speech and POST /v3/videos.
Next
⌘I
Design a Voice

